#ifndef _H_LIBCX_FS_PATH
#define _H_LIBCX_FS_PATH

#include <cx/option.hpp>
#include <cx/string.hpp>

class Path {
private:
    Vec<String> parts;

public:
    Path();
    Path(const char* path);
    Path(String path);

    void push(const char* path);
    void push(String path);
    Option<String> pop();
};

#endif // !_H_LIBCX_FS_PATH
