#ifndef _H_LIBCP_STL_DERIVED_FROM
#define _H_LIBCP_STL_DERIVED_FROM
#include <cx/stl/is_base_of.hpp>
#include <cx/stl/is_convertible.hpp>

template <class _Dp, class _Bp>
concept derived_from = is_base_of_v<_Bp, _Dp> && is_convertible_v<const volatile _Dp*, const volatile _Bp*>;

#endif // _H_LIBCP_STL_DERIVED_FROM