#ifndef _H_LIBCX_COLLECTIONS_HASHMAP
#define _H_LIBCX_COLLECTIONS_HASHMAP

#include <cx/option.hpp>
#include <cx/collections/vec.hpp>
#include <stdint.h>

namespace __internal {

    template <typename K, typename V>
    struct HashMapPart {
    private:
        // uint8_t hash[4];
        K key;
        V val;

    public:
    };
} // namespace __internal

template <typename K, typename V>
class HashMap {
private:
    Vec<__internal::HashMapPart<K, V>> items;

public:
    HashMap() = default;
    ~HashMap() = default;

    Option<V> insert(K& key, V& value) {}

    Option<V> get(K& key) {}
};

#endif // !_H_LIBCX_COLLECTIONS_HASHMAP
