#ifndef _H_LIBCX_STL_IS_BASE_OF
#define _H_LIBCX_STL_IS_BASE_OF

#include <cx/stl/integral_constant.hpp>

template <class _Bp, class _Dp>
struct is_base_of : integral_constant<bool, __is_base_of(_Bp, _Dp)> {};

template <class _Bp, class _Dp>
inline constexpr bool is_base_of_v = __is_base_of(_Bp, _Dp);

// template <class _Base, class _Derived>
// struct is_virtual_base_of : bool_constant<__builtin_is_virtual_base_of(_Base, _Derived)> {};

// template <class _Base, class _Derived>
// inline constexpr bool is_virtual_base_of_v = __builtin_is_virtual_base_of(_Base, _Derived);

#endif // _H_LIBCX_STL_IS_BASE_OF