#ifndef _H_LIBCX_STL_REMOVE_REFERENCE
#define _H_LIBCX_STL_REMOVE_REFERENCE

template <typename T>
struct remove_reference {
    using type = T;
};

template <typename T>
struct remove_reference<T&> {
    using type = T;
};

template <typename T>
struct remove_reference<T&&> {
    using type = T;
};

template <typename T>
using remove_reference_t = typename remove_reference<T>::type;

#endif // _H_LIBCX_STL_REMOVE_REFERENCE